
Infrastructure - Task #6559

Story # 6494 (Closed): Remove local caching of inputstreams from v1  API method implementations

in v1, turn off localCache by default, and add a size limit to avoid out of memory issues.

2014-11-10 18:55 - Rob Nahf

Status: Closed Start date: 2014-11-10

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version: CCI-1.5.0   

Milestone: None Story Points:  

Product Version: 1.3.1   

Description

while removing LocalCache from d1node.get() and getSystemMEtadata() only causes a change in performance (no coding changes),

it is a released feature, so it wouldn't be appropriate to remove at this point.  Instead, make the default setting OFF / false, and

document the change.

Also implement the second size-limit property so that LocalCache users have control over what they think their application can

manage.

Associated revisions

Revision 14746 - 2014-11-10 20:24 - Rob Nahf

adding maxObjectSize property to D1Client cache properties.  refs #6559

Revision 14746 - 2014-11-10 20:24 - Rob Nahf

adding maxObjectSize property to D1Client cache properties.  refs #6559

Revision 14746 - 2014-11-10 20:24 - Rob Nahf

adding maxObjectSize property to D1Client cache properties.  refs #6559

Revision 14746 - 2014-11-10 20:24 - Rob Nahf

adding maxObjectSize property to D1Client cache properties.  refs #6559

History

#1 - 2014-11-11 22:25 - Rob Nahf

- Status changed from In Progress to Testing

- % Done changed from 50 to 100

- Product Version changed from * to 1.3.1

finished implementation of D1Client.cacheObjectSizeLimit, javadocs for D1Node.get,  and unit tests

#2 - 2014-12-15 18:37 - Rob Nahf

- Status changed from Testing to Closed

- translation missing: en.field_remaining_hours set to 0.0
